within ThermofluidStream.UsersGuide;
class Nomenclature "Nomenclature"
  extends Modelica.Icons.Information;

  annotation (
    Documentation(
      info="<html>
<p>
Nomenclature used in this library.
</p>

<table border=\"1\" cellpadding=\"2\" cellspacing=\"0\" >
   <caption align=\"bottom\">Variables and names</caption>
   <tr>
      <th>Variable</th>
      <th>Quantity</th>
    </tr>
    <tr>
      <td>h</td>
      <td>specific enthalpy</td>
    </tr>
    <tr>
      <td>L</td>
      <td>inertance</td>
    </tr>
    <tr>
      <td>m_flow</td>
      <td>mass flow rate</td>
    </tr>
    <tr>
      <td>p</td>
      <td>steady mass flow pressure</td>
    </tr>
    <tr>
      <td>Q_flow</td>
      <td>heat flow</td>
    </tr>
    <tr>
      <td>q</td>
      <td>dynamic pressure</td>
    </tr>
    <tr>
      <td>r</td>
      <td>inertial pressure</td>
    </tr>
    <tr>
      <td>T</td>
      <td>temperature</td>
    </tr>
    <tr>
      <td>u</td>
      <td>specific internal energy</td>
    </tr>
</table>

</html>",
      revisions="<html>
<p><img src=\"modelica:/ThermofluidStream/Resources/dlr_logo.png\"/>(c) 2020-2021, DLR, Institute of System Dynamics and Control</p>
</html>"));
end Nomenclature;
